tools

# Class: PlaExporter

Source Location: /lib/export.inc

### Class Overview

    PlaAbstractExporter
       |
       --PlaExporter

PlaExporter acts a wrapper around another exporter.

### Variables

- $br
- $exporter

### Methods

- PlaExporter
- export
- is_safe_ascii
- pla_fetch_entry_array
- pla_fetch_entry_object
- pla_get_ldap_info
- pla_has_entry
- pla_num_entries
- setOutputFormat

### Child classes:

PlaLdifExporter
  Export entries to ldif format

PlaDsmlExporter
  Export entries to DSML v.1

PlaVcardExporter

PlaCSVExporter
  Export to cvs format

MyCustomExporter

### Inherited Methods

#### Class: PlaAbstractExporter

PlaAbstractExporter::pla_fetch_entry_array()
  Return the entry as an array
PlaAbstractExporter::pla_fetch_entry_object()
  Return the entry as an Entry object
PlaAbstractExporter::pla_get_ldap_info()
  Return a PlaLdapInfo Object
PlaAbstractExporter::pla_has_entry()
  Return true if there is some more entries to be processed
PlaAbstractExporter::pla_num_entries()
  Return the number of entries

### Class Details

[line 161]
PlaExporter acts a wrapper around another exporter.

In other words, it will act as a decorator for another decorator

[ Top ]

### Class Variables

#### $br = "\n"

[line 163]

Type: | mixed

[ Top ]

#### $exporter =

[line 165]

Type: | mixed

[ Top ]

### Class Methods

### constructor PlaExporter [line 171]

`PlaExporter PlaExporter( source $source)`

Constructor

#### Parameters:

source | $source | the decoree for this exporter

[ Top ]

### method export [line 233]

`void export( )`

Abstract method use to export data.

Must be implemented in a sub-class if you write an exporter which export data. Leave it empty if you write a sub-class which do only some filtering.

Overridden in child classes as:

PlaLdifExporter::export()
  Export entries to ldif format

PlaDsmlExporter::export()
  Export the entries to DSML

PlaVcardExporter::export()
  When doing an exporter, the method export need to be overriden.

PlaCSVExporter::export()

MyCustomExporter::export()
  When doing an exporter, the method export need to be overriden.

[ Top ]

### method is_safe_ascii [line 220]

`bool is_safe_ascii( String $str)`

Helper method to check if the attribute value should be base 64 encoded.

#### Tags:

return: | true if the string is safe ascii, false otherwise.

#### Parameters:

String | $str | the string to check.

[ Top ]

### method pla_fetch_entry_array [line 195]

`array pla_fetch_entry_array( )`

Return the entry as an array

#### Tags:

return: | an entry as an array

Overrides PlaAbstractExporter::pla_fetch_entry_array() (Return the entry as an array)
[ Top ]

### method pla_fetch_entry_object [line 203]

`Entry pla_fetch_entry_object( )`

Return the entry as an Entry object

#### Tags:

return: | an entry as an Entry Object

Overrides PlaAbstractExporter::pla_fetch_entry_object() (Return the entry as an Entry object)
[ Top ]

### method pla_get_ldap_info [line 211]

`LdapInfo pla_get_ldap_info( )`

Return a PlaLdapInfo Object

#### Tags:

return: | Object with info from the ldap serveur

Overrides PlaAbstractExporter::pla_get_ldap_info() (Return a PlaLdapInfo Object)
[ Top ]

### method pla_has_entry [line 187]

`bool pla_has_entry( )`

Return true if there is some more entries to be processed

#### Tags:

return: | if there is some more entries to be processed

Overrides PlaAbstractExporter::pla_has_entry() (Return true if there is some more entries to be processed)
[ Top ]

### method pla_num_entries [line 179]

`int pla_num_entries( )`

Return the number of entries

#### Tags:

return: | the number of entries to be exported

Overrides PlaAbstractExporter::pla_num_entries() (Return the number of entries)
[ Top ]

### method setOutputFormat [line 239]

`void setOutputFormat( String $br)`

Set the carriage return /linefeed for the export

#### Parameters:

String | $br | the CRLF to be set

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:57 +0200 by phpDocumentor 1.4.1